SDL_ClearSurface(3)

NAME
SDL_ClearSurface - Clear a surface with a specific color, with floating point precision.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_ClearSurface(SDL_Surface *surface, float r, float g, float b, float a);

DESCRIPTION
This function handles all surface formats, and ignores any clip rectangle.

If the surface is YUV, the color is assumed to be in the sRGB colorspace, otherwise the color is assumed to be in the colorspace of the suface.

FUNCTION PARAMETERS

surface
    the SDL_Surface to clear.

r   the red component of the pixel, normally in the range 0-1.

g   the green component of the pixel, normally in the range 0-1.

b   the blue component of the pixel, normally in the range 0-1.

a   the alpha component of the pixel, normally in the range 0-1.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.